<?php

namespace June\Components\Logger\Helper;

class LoggerHelper {

    const logPath = "./../var/log/";

    public function logError($errorMessage, $scope) {
        $errorMessage = str_replace(array("\r", "\n"), '', $errorMessage);
        $error_message = "[".date("Y-m-d\TH:i:s.uP")."] ".$scope.".ERROR: ".$errorMessage."\n";
        $destination = self::logPath."june-".date("Y-m-d").".log";
        error_log($error_message, 3, $destination);
    }

    public function logSocket($errorMessage) {
        $errorMessage = str_replace(array("\r", "\n"), '', $errorMessage);
        $error_message = "[".date("Y-m-d\TH:i:s.uP")."] "."SOCKET".".ERROR: ".$errorMessage."\n";
        $destination = self::logPath."june_socket-".date("Y-m-d").".log";
        error_log($error_message, 3, $destination);
    }
}
