import { ACTION } from '../../constant/june.constant.js';

const { Component } = Shopware;

Component.override('sw-flow-sequence-action', {
    computed: {
        modalName() {
            if (this.selectedAction === ACTION.JUNE_MAIL) {
                return 'june-modal-select';
            }

            return this.$super('modalName');
        },
    },

    methods: {
        getActionTitle(actionName) {

            if (actionName === ACTION.JUNE_MAIL) {
                return {
                    value: actionName,
                    icon: 'default-communication-envelope',
                    label: 'JUNE Service Mail'
                }
            }
            return this.$super('getActionTitle', actionName);
        },
    },
});
